-- Customer specific once-script to add PRS-import as specified
-- by nybu#25028.
-- (c) 2013 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON;
SPOOL xnybu1.lst;

-- Importtabel personen
CREATE TABLE nybu_imp_prs (
   imp_datum DATE,
   prs_perslid_naam              VARCHAR2(256),
   prs_perslid_voornaam          VARCHAR2(256),
   prs_perslid_tussenvoegsel     VARCHAR2(15),
   prs_perslid_oslogin           VARCHAR2(256),
   prs_perslid_nr                VARCHAR2(256),
   prs_projkpn_nr                VARCHAR2(256),
   prs_afdeling_omschrijving     VARCHAR2(256),
   prs_srtperslid_omschrijving   VARCHAR2(256),
   prs_perslid_email             VARCHAR2(256),
   prs_perslid_telefoonnr        VARCHAR2(256),
   prs_perslid_mobiel            VARCHAR2(256),
   werkplek_oms                  VARCHAR2(256)
);

-- Importfunctie personen
INSERT INTO fac_import_app
            (fac_import_app_code, fac_import_app_oms,
             fac_import_app_prefix, fac_import_app_charset,
             fac_functie_key)
   SELECT 'PRS', 'Import personnel data from Active Directory',
          'NYBU', 'utf-16',
          fac_functie_key
     FROM fac_functie
    WHERE fac_functie_code = 'WEB_PRSSYS';

-- Importtabel studenten
CREATE TABLE nybu_imp_crm (
   imp_datum DATE,
   contact_nr                    VARCHAR2(256),
   enrollment_date               VARCHAR2(256),
   prs_perslid_naam              VARCHAR2(256),
   prs_perslid_tussenvoegsel     VARCHAR2(256),
   prs_perslid_voornaam          VARCHAR2(256),
   prs_perslid_initialen         VARCHAR2(256),
   prs_perslid_geslacht          VARCHAR2(256),
   adres_prive_straat1           VARCHAR2(256),
   adres_prive_straat2           VARCHAR2(256),
   adres_prive_postcode          VARCHAR2(256),
   adres_prive_plaats            VARCHAR2(256),
   adres_prive_land              VARCHAR2(256),
   prs_perslid_email             VARCHAR2(256),
   prs_perslid_nr                VARCHAR2(256),
   geboortedatum                 VARCHAR2(256),
   prs_afdeling_omschrijving     VARCHAR2(256)
);

-- Importfunctie studenten
INSERT INTO fac_import_app
            (fac_import_app_code, fac_import_app_oms,
             fac_import_app_prefix, fac_import_app_charset,
             fac_functie_key)
   SELECT 'CRM', 'Import student data from CRM',
          'NYBU', 'utf-8',
          fac_functie_key
     FROM fac_functie
    WHERE fac_functie_code = 'WEB_PRSSYS';


-- Importtabel objecten
CREATE TABLE nybu_imp_ins
(
   ins_discipline_omschrijving   VARCHAR2 (30),
   ins_discipline_kostensoort    VARCHAR2 (60),
   ins_srtgroep_omschrijving     VARCHAR2 (60),
   ins_srtdeel_code              VARCHAR2 (10),
   ins_srtdeel_omschrijving      VARCHAR2 (100),
   ins_deel_omschrijving         VARCHAR2 (60),
   reserveerbaar                 NUMBER (1),
   res_deel_eenheid              VARCHAR2 (10),
   res_deel_prijs                NUMBER (7, 2),
   alg_locatie_code              VARCHAR2 (10),
   alg_gebouw_code               VARCHAR2 (12),
   alg_verdieping_volgnr         NUMBER (3),
   alg_ruimte_nr                 VARCHAR2 (10),
   res_deel_alg_level            NUMBER (1),
   res_discipline_omschrijving   VARCHAR2 (30),
   res_discipline_kostensoort    VARCHAR2 (60),
   prs_perslid_matchcode         VARCHAR2 (255),
   prs_perslid_matchwaarde       VARCHAR2 (255),
   ins_kenmerkwaarde1            VARCHAR2 (255),
   ins_kenmerkwaarde2            VARCHAR2 (255),
   ins_kenmerkwaarde3            VARCHAR2 (255),
   ins_kenmerkwaarde4            VARCHAR2 (255),
   ins_kenmerkwaarde5            VARCHAR2 (255),
   ins_kenmerkwaarde6            VARCHAR2 (255),
   ins_kenmerkwaarde7            VARCHAR2 (255),
   ins_kenmerkwaarde8            VARCHAR2 (255),
   ins_kenmerkwaarde9            VARCHAR2 (255),
   ins_kenmerkwaarde10           VARCHAR2 (255),
   ins_kenmerkwaarde11           VARCHAR2 (255),
   ins_kenmerkwaarde12           VARCHAR2 (255),
   ins_kenmerkwaarde13           VARCHAR2 (255),
   ins_kenmerkwaarde14           VARCHAR2 (255),
   ins_kenmerkwaarde15           VARCHAR2 (255),
   ins_kenmerkwaarde16           VARCHAR2 (255),
   ins_kenmerkwaarde17           VARCHAR2 (255),
   ins_kenmerkwaarde18           VARCHAR2 (255),
   ins_kenmerkwaarde19           VARCHAR2 (255),
   ins_kenmerkwaarde20           VARCHAR2 (255)
);

-- Importfunctie objecten
INSERT INTO fac_import_app (fac_import_app_code,
                            fac_import_app_oms,
                            fac_functie_key,
                            fac_import_app_prefix)
   SELECT   'INS',
            'FIP: Aanmaken/bijwerken objecten',
            fac_functie_key,
            'nybu'
     FROM   fac_functie
    WHERE   fac_functie_code = 'WEB_PRSSYS';


COMMIT;
SPOOL OFF;

@nybu.sql